## ros-iron-tracetools-image-pipeline 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tracetools_image_pipeline)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
elseif(CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
  add_compile_options(/W4)
endif()

find_package(ament_cmake_ros REQUIRED)

if(WIN32)
  set(DISABLED_DEFAULT ON)
else()
  set(DISABLED_DEFAULT OFF)
endif()
option(TRACETOOLS_DISABLED "Explicitly disable support for tracing" ${DISABLED_DEFAULT})
option(TRACETOOLS_NO_RDYNAMIC "Disable export of -rdynamic link flag" OFF)
option(TRACETOOLS_STATUS_CHECKING_TOOL "Enable the status checking tool" ON)

if(NOT TRACETOOLS_DISABLED)
  # Set TRACETOOLS_LTTNG_ENABLED if we can find lttng-ust
  find_package(PkgConfig)
  if(PkgConfig_FOUND)
    pkg_check_modules(LTTNG lttng-ust)
    if(LTTNG_FOUND)
      set(TRACETOOLS_LTTNG_ENABLED TRUE)
      message("LTTng found: tracing enabled")
    endif()
  endif()
endif()

# Store configuration variables for runtime use
#   TRACETOOLS_DISABLED
#   TRACETOOLS_LTTNG_ENABLED
configure_file(include/${PROJECT_NAME}/config.h.in include/${PROJECT_NAME}/config.h)

# tracetools_image_pipeline lib
set(SOURCES
  src/tracetools.c
  src/utils.cpp
)
set(HEADERS
  include/${PROJECT_NAME}/tracetools.h
  include/${PROJECT_NAME}/utils.hpp
  include/${PROJECT_NAME}/visibility_control.hpp
)
if(TRACETOOLS_LTTNG_ENABLED)
  # We only need these if we're using LTTng
  list(APPEND SOURCES
    src/tp_call.c
  )
  list(APPEND HEADERS
    include/${PROJECT_NAME}/tp_call.h
  )
endif()

# Copy select headers to the actual include/ directory that we will use and export
foreach(_header ${HEADERS})
  configure_file(
    ${PROJECT_SOURCE_DIR}/${_header}
    ${PROJECT_BINARY_DIR}/${_header}
    COPYONLY
  )
endforeach()

add_library(${PROJECT_NAME} ${SOURCES})
if(TRACETOOLS_LTTNG_ENABLED)
  target_link_libraries(${PROJECT_NAME} ${LTTNG_LIBRARIES})
  # Export -rdynamic for downtream packages to use when calling
  #   ament_target_dependencies()
  # which is needed to resolve function addresses to symbols when
  # using function pointers directly/without std::bind()
  # (the flag should not be used on Windows, but TRACETOOLS_LTTNG_ENABLED
  # should never be true on Windows anyway, so there is no need to check)
  if(NOT TRACETOOLS_NO_RDYNAMIC)
    target_link_libraries(${PROJECT_NAME} "-rdynamic")
  endif()
endif()
if(WIN32)
  # Causes the visibility macros to use dllexport rather than dllimport
  # which is appropriate when building the dll but not consuming it.
  target_compile_definitions(${PROJECT_NAME} PRIVATE "TRACETOOLS_BUILDING_DLL")
endif()

# Only use output/binary include directory
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>"
  "$<INSTALL_INTERFACE:include>"
)
ament_export_targets(${PROJECT_NAME}_export HAS_LIBRARY_TARGET)

if(TRACETOOLS_STATUS_CHECKING_TOOL)
  # Status checking tool
  add_executable(status
    src/status.c
  )
  target_link_libraries(status
    ${PROJECT_NAME}
  )
  install(TARGETS
    status
    DESTINATION lib/${PROJECT_NAME}
  )
endif()

install(
  DIRECTORY ${PROJECT_BINARY_DIR}/include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}_export
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include
)

ament_export_include_directories(include)
if(TRACETOOLS_LTTNG_ENABLED)
  ament_export_libraries(${PROJECT_NAME} ${LTTNG_LIBRARIES})
  # Export -rdynamic for downstream packages using classic CMake variables
  if(NOT TRACETOOLS_NO_RDYNAMIC)
    ament_export_link_flags("-rdynamic")
  endif()
else()
  ament_export_libraries(${PROJECT_NAME})
endif()

if(BUILD_TESTING)
  set(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS ${LTTNG_INCLUDE_DIRS})
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  if(TRACETOOLS_STATUS_CHECKING_TOOL)
    # Run status tool executable as test and set pass/fail expectation appropriately
    add_test(test_status_tool status)
    if(NOT TRACETOOLS_LTTNG_ENABLED)
      set_tests_properties(test_status_tool PROPERTIES WILL_FAIL TRUE)
    endif()
  endif()

endif()

ament_package()

target_compile_definitions(${PROJECT_NAME} PRIVATE ${PROJECT_NAME}_VERSION="${${PROJECT_NAME}_VERSION}")

=== debian/changelog ===
ros-iron-tracetools-image-pipeline (3.0.1-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 03 Dec 2022 16:00:00 -0000

ros-iron-tracetools-image-pipeline (3.0.0-3jammy) jammy; urgency=high

  * tracetools_image_pipeline version consistent with repo
  * Omit changelogfile
  * Deal with uncrustify and cpplint
  * Add tracetools_image_pipeline package to the pipeline
  * Contributors: Víctor Mayoral Vilches

 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-tracetools-image-pipeline (2.2.1-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-iron-tracetools-image-pipeline (2.2.0-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-iron-tracetools-image-pipeline (2.1.1-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Thu, 11 Jun 2020 16:00:00 -0000

ros-iron-tracetools-image-pipeline (2.1.0-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.23-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.22-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.21-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 04 Nov 2017 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.20-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 29 Apr 2017 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.19-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 23 Jul 2016 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.18-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Mon, 11 Jul 2016 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.17-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sun, 10 Jul 2016 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.16-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Fri, 18 Mar 2016 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.15-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 16 Jan 2016 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.14-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Tue, 21 Jul 2015 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.13-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sun, 05 Apr 2015 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.12-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Tue, 30 Dec 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.11-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 25 Oct 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.10-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 27 Sep 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.9-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 20 Sep 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.8-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Mon, 18 Aug 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.7-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 02 Aug 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.6-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 26 Jul 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.5-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 10 May 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.4-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sun, 27 Apr 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.3-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Fri, 11 Apr 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.2-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Mon, 07 Apr 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.1-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 05 Apr 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.12.0-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Thu, 03 Apr 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.7-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Thu, 27 Mar 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.6-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Tue, 28 Jan 2014 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.5-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Fri, 06 Dec 2013 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.4-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Fri, 22 Nov 2013 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.3-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Sat, 05 Oct 2013 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.2-3jammy) jammy; urgency=high



 -- Víctor Mayoral-Vilches <v.mayoralv@gmail.com>  Mon, 26 Aug 2013 16:00:00 -0000

ros-iron-tracetools-image-pipeline (1.11.1-3jammy) jammy; urgency=high





=== debian/control ===
Source: ros-iron-tracetools-image-pipeline
Section: misc
Priority: optional
Maintainer: Víctor Mayoral-Vilches <v.mayoralv@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-iron-ament-cmake-ros, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-tracetools-image-pipeline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ros-workspace
Description: LTTng tracing provider wrapper for image_pipeline ROS 2 meta-package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-tracetools-image-pipeline//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
